<!DOCTYPE html>
<html>
    <head>
        <script src="https://aframe.io/releases/0.9.2/aframe.min.js"></script>
        <script src="https://cdn.rawgit.com/jeromeetienne/AR.js/1.7.2/aframe/build/aframe-ar.js"></script>
    </head>
    <body>
        <a-scene embedded arjs="sourceType: webcam; debugUIEnabled:false;" vr-mode-ui="enabled: false">
            <!--<a-assets>
                <a-asset-item id="apple" src="models/fox.glb"></a-asset-item>
            </a-assets>-->


            <a-assets>
                <img id="grid" src="images/Certificado.jpeg" />
                <img id="play" src="images/youtube.png"></img>
                <img id="transp" src="images/transp.png"></img>
            </a-assets>

            <a-plane 
                position="0 0 -1.0" 
                rotation="-90 0 0"
                scale="4.6 3.3 3.5"
                material="src: #grid;">
            </a-plane>

 
            <a-box
                src="images/BOSQUE.png"
                height="0.32"
                position="-2.3 0.3 -2.1"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>


            <a-box
                src="images/TILBURG_UNIVERSITY.jpg"
                height="0.32"
                position="-2.3 0.3 -1.5"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>



            

            <a-box
                src="images/PONTIFICIA_CALI.jpg"
                height="0.32"
                position="-2.3 0.3 -0.9"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>


            <a-box
                src="images/XRCOL.jpg"
                height="0.32"
                position="-2.3 0.3 -0.3"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box>


            <a-box
                src="images/SADILAR.jpg"
                height="0.32"
                position="-2.3 0.3 0.3"
                width="0.32"
                depth="0.32"
                animation="property: rotation; to: 360 360 360; dur: 15000; easing: linear; loop: true"
            >
            </a-box> 


            <a-text 
                id="name" clock
                value="Alexandra Sierra" 
                font="fonts/Goog-msdf/Goog-msdf.json"
                font-image="fonts/Goog-msdf/Goog.png"
                negate="false"                
                color="#FFFFFF" 
                position="-0.9 0.3 -0.8"  
                rotation="-45 0 0"
                scale="0.8 1 1"
                align="center" 
                width="6">
            </a-text><!---->

            <a-marker-camera 
                type="pattern" 
                url="/data/xrcol.patt" 
                id="appleM" 
                emitevents="true" 
                button>

                <a-box
                    class="clickable"
                    id="buttonOne"
                    color="#FFF"
                    height="0.5"
                    position="-0.8 0.3 1"
                    width="0.5"
                    depth="0.5"
                    opacity="0.2"
                    >
                    </a-box>

                    
                <a-box
                    class="clickable"
                    id="buttonTwo"
                    color="#FFF"
                    height="0.5"
                    position="0.8 0.3 1"
                    width="0.5"
                    depth="0.5"
                    opacity="0.2"
                    >
                    </a-box>

                <a-entity
                    cursor="rayOrigin: mouse"
                    raycaster="objects: .clickable; useWorldCoordinates: true;"
                ></a-entity>
                
                <!--<a-entity
                    class="clickable"
                    id="buttonOne"
                    gltf-model="#apple"
                    position="0 0 0"
                    rotation="270 0 0"
                    scale="0.5 0.5 0.5"
                ></a-entity>-->
                

            </a-marker>
            <a-entity camera></a-entity>
        </a-scene>
        
        <script defer src="js/ar-frame.js"></script>
    </body>
</html>
